﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="WebApplication1._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
 
  <link href="styles/kendo.common.min.css" rel="stylesheet" type="text/css" />
      <link href="styles/kendo.default.min.css" rel="stylesheet" type="text/css" /> 
         <!--Then paste the following for Kendo UI Web scripts-->   
          <script src="Scripts/jquery.min.js" type="text/javascript"></script>
              <script src="Scripts/kendo.web.min.js" type="text/javascript"></script>

</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
<%-- The DIV where the Kendo grid will be initialized --%>
<div id="grid"></div>
</asp:Content>
<asp:Content ID="FooterContent" runat="server" ContentPlaceHolderID="FooterContent">
    <script>
        $(function () {
            $.support.cors = true;
            $("#grid").kendoGrid({
                height: 200,
                  filterable: true,
                sortable: true,
                pageable: true,
                groupable: true,
                scrollable:true,                
                columns: [

                    { field: "Name", width: "150px", title: "Name" },
                    { field: "Email", width: "150px", title: "Email" }
                ],
                dataSource: {
                    pageSize: 2,
                    
                    transport: {
                        read: "http://localhost:54470/Service1.svc/GetData",
                        contentType: "application/json; charset=utf-8", // tells the web service to serialize JSON
                        type: "POST"                        //use HTTP POST request as the default GET is not allowed for svc
                       
                       
                    },
                    
                    schema: {
                        data: "d",                                                               
                        model: {
                          
                            fields: {
                                Name: { type: "string" },
                                Email: { type: "string" },
                                Total : { type: "numeric" }

                            }
                        }
                    }

                }
              

            });
        });
    </script>
</asp:Content>
